DARKTABLE-CLI(1)

NOMBRE
darktable-cli - una variante de darktable en la línea de comandos

SINOPSIS
    darktable-cli IMG_1234.{RAW,...} [<archivo xmp>] <archivo de salida> [options] [--core <darktable opciones>]

Opciones:

    --width <max width>
    --height <max height>
    --bpp <bpp>
    --hq <0|1|true|false>
    --upscale <0|1|true|false>
    --style <style name>
    --overwrite
    --verbose

DESCRIPCIÓN
darktable es una aplicación para el flujo de trabajo de la fotografía digital para Linux, Mac OS X y otras Unices. Es descrito más ampliamente en darktable(1).

darktable-cli es una variante de la línea de comandos que se utiliza para exportar imágenes, dado un archivo raw y su archivo xmp asociado.

OPCIONES
El usuario necesita proveer un nombre de archivo de entrada y un nombre de archivo de salida. Todos los otros parámetros son opcionales.

<input file>
    El nombre del archivo de entrad a exportar.

<xmp file>
    El nombre opcional del archivo XMP asociado, que contiene los datos del historial de acciones que serán aplicados durante el exportado. Si esta opción no es provista, darktable buscará por el archivo XMP que pertenezca a dicho archivo de entrada.

<output file>
    El nombre del archivo de salida. darktable deriva el formato del archivo exportado de la extensión del archivo. También puede utilizar todas las variables disponibles en el módulo de exportado darktable para el archivo de salida.

--width <max width>
    Este parámetro opcional le permite limitar el ancho de la imagen exportada a dicho número de píxeles.

--height <max height>
    Este parámetro opcional le permite limitar el alto de la imagen exportada a dicho número de píxeles.

--bpp <bpp>
    Un parámetro opcional para definir la profundidad de bit de la imagen exportada; los valores permitidos dependen del formato de archivo. Actualmente esta función no está operativa. Si necesita definir la profundidad de bit, debe utilizar las siguientes opciones:

        --core --conf plugins/imageio/format/<FORMAT>/bpp=<VALUE>

    donde FORMAT es el nombre del formato de salida seleccionado, por ejemplo png.

--hq <0|1|true|false>
    Una etiqueta que define si se debe utilizar un remuestreo de alta calidad durante el exportado. Verdadero por defecto.

--upscale <0|1|true|false>
    Una etiqueta que define si se debe redimensionar durante el exportado. Falso por defecto.

--style <style name>
    Specify the name of a style to be applied during export. If a style is specified, the path to the darktable configuration directory must also be specified (i.e. --core --configdir ~/.config/darktable). Defaults to no style specified.

--overwrite
    The specified style overwrites the history stack instead of being appended to it.

--verbose
    Activa la salida verbosa.

--core <darktable options>
    Todos los parámetros de la línea de comando que siguen a --core pasan por la base de darktable y son manejados como parámetros estándar. Vea darktable(1) para una descripción más detallada de las opciones.

VEA TAMBIÉN
darktable(1)

AUTORES
El desarrollador principal de darktable es Johannes Hanika. La lista completa (esperamos) de colaboradores del proyecto es:

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Este manual de referencias fue escrito por Richard Levitte <richard@levittr.org>. Adiciones fueron hechas por Tobias Ellinghaus <me@houz.org>.

DERECHOS Y LICENCIA
Copyright (C) 2009-2017 por Authors.

darktable es software libre, usted puede redistribuirlo y/o modificarlo bajo los términos de la GPL v3 o (bajo su criterio) versiones anteriores.